Search endpoints
Search for Role
RoleSearchPayload
The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.
The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).
Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.
Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.
10The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.
Your search result
RolePaginatedResult
The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
POST /api/roles/search HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1475
{
"after": "text",
"before": "text",
"last": 1,
"options": {
"withTotal": true
},
"query": {
"and": [
{
"and": [
{
"and": "[Circular Reference]",
"description": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"displayName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"name": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"or": "[Circular Reference]"
}
],
"description": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"displayName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"name": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"or": [
{
"and": "[Circular Reference]",
"description": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"displayName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"name": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"or": "[Circular Reference]"
}
]
}
],
"description": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"displayName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"name": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"or": [
{
"and": "[Circular Reference]",
"description": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"displayName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"name": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"or": "[Circular Reference]"
}
]
},
"size": 10,
"sort": [
{
"displayName": "ASC"
}
]
}{
"pageInfo": {
"endCursor": "text",
"hasNextPage": true,
"hasPreviousPage": true,
"startCursor": "text"
},
"roles": [
{
"context": [
{
"type": "FACILITY",
"values": [
"text"
]
}
],
"created": "2026-01-01T00:00:00.000Z",
"customAttributes": {},
"description": "text",
"displayName": "text",
"lastModified": "2026-01-01T00:00:00.000Z",
"name": "text",
"permissions": [
"USER_READ"
],
"version": 1
}
],
"total": 1
}This part of the API is in Beta status. For details, see the API release lifecycle documentation. Search for User
UserSearchPayload
The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.
The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).
Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.
Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.
10The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.
Your search result
UserPaginatedResult
The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
POST /api/users/search HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 6243
{
"after": "text",
"before": "text",
"last": 1,
"options": {
"withTotal": true
},
"query": {
"and": [
{
"and": [
{
"and": "[Circular Reference]",
"assignedFacilities": {
"contains": {
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
},
"exists": true
},
"assignedRoles": {
"contains": {
"context": {
"contains": {
"type": {
"eq": "FACILITY",
"in": [
"FACILITY"
],
"notEq": "FACILITY"
},
"values": {
"contains": {
"eq": "text",
"notEq": "text"
}
}
},
"exists": true
},
"ref": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
},
"exists": true
},
"auth": {
"type": {
"eq": "EMAIL_PASSWORD",
"in": [
"EMAIL_PASSWORD"
],
"notEq": "EMAIL_PASSWORD"
}
},
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"customClaims": {
"roles": {
"contains": {
"facilities": {
"contains": {
"eq": "text",
"notEq": "text"
}
},
"name": {
"eq": "FULFILLER",
"in": [
"FULFILLER"
],
"notEq": "FULFILLER"
}
},
"exists": true
}
},
"facilityLimitations": {
"contains": {
"eq": "text",
"notEq": "text"
},
"exists": true
},
"firstname": "Phil",
"lastModified": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"lastname": "Bison",
"or": "[Circular Reference]",
"username": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
}
}
],
"assignedFacilities": {
"contains": {
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
},
"exists": true
},
"assignedRoles": {
"contains": {
"context": {
"contains": {
"type": {
"eq": "FACILITY",
"in": [
"FACILITY"
],
"notEq": "FACILITY"
},
"values": {
"contains": {
"eq": "text",
"notEq": "text"
}
}
},
"exists": true
},
"ref": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
},
"exists": true
},
"auth": {
"type": {
"eq": "EMAIL_PASSWORD",
"in": [
"EMAIL_PASSWORD"
],
"notEq": "EMAIL_PASSWORD"
}
},
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"customClaims": {
"roles": {
"contains": {
"facilities": {
"contains": {
"eq": "text",
"notEq": "text"
}
},
"name": {
"eq": "FULFILLER",
"in": [
"FULFILLER"
],
"notEq": "FULFILLER"
}
},
"exists": true
}
},
"facilityLimitations": {
"contains": {
"eq": "text",
"notEq": "text"
},
"exists": true
},
"firstname": "Phil",
"lastModified": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"lastname": "Bison",
"or": [
{
"and": "[Circular Reference]",
"assignedFacilities": {
"contains": {
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
},
"exists": true
},
"assignedRoles": {
"contains": {
"context": {
"contains": {
"type": {
"eq": "FACILITY",
"in": [
"FACILITY"
],
"notEq": "FACILITY"
},
"values": {
"contains": {
"eq": "text",
"notEq": "text"
}
}
},
"exists": true
},
"ref": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
},
"exists": true
},
"auth": {
"type": {
"eq": "EMAIL_PASSWORD",
"in": [
"EMAIL_PASSWORD"
],
"notEq": "EMAIL_PASSWORD"
}
},
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"customClaims": {
"roles": {
"contains": {
"facilities": {
"contains": {
"eq": "text",
"notEq": "text"
}
},
"name": {
"eq": "FULFILLER",
"in": [
"FULFILLER"
],
"notEq": "FULFILLER"
}
},
"exists": true
}
},
"facilityLimitations": {
"contains": {
"eq": "text",
"notEq": "text"
},
"exists": true
},
"firstname": "Phil",
"lastModified": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"lastname": "Bison",
"or": "[Circular Reference]",
"username": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
}
}
],
"username": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
}
}
],
"assignedFacilities": {
"contains": {
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
},
"exists": true
},
"assignedRoles": {
"contains": {
"context": {
"contains": {
"type": {
"eq": "FACILITY",
"in": [
"FACILITY"
],
"notEq": "FACILITY"
},
"values": {
"contains": {
"eq": "text",
"notEq": "text"
}
}
},
"exists": true
},
"ref": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
},
"exists": true
},
"auth": {
"type": {
"eq": "EMAIL_PASSWORD",
"in": [
"EMAIL_PASSWORD"
],
"notEq": "EMAIL_PASSWORD"
}
},
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"customClaims": {
"roles": {
"contains": {
"facilities": {
"contains": {
"eq": "text",
"notEq": "text"
}
},
"name": {
"eq": "FULFILLER",
"in": [
"FULFILLER"
],
"notEq": "FULFILLER"
}
},
"exists": true
}
},
"facilityLimitations": {
"contains": {
"eq": "text",
"notEq": "text"
},
"exists": true
},
"firstname": "Phil",
"lastModified": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"lastname": "Bison",
"or": [
{
"and": "[Circular Reference]",
"assignedFacilities": {
"contains": {
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
},
"exists": true
},
"assignedRoles": {
"contains": {
"context": {
"contains": {
"type": {
"eq": "FACILITY",
"in": [
"FACILITY"
],
"notEq": "FACILITY"
},
"values": {
"contains": {
"eq": "text",
"notEq": "text"
}
}
},
"exists": true
},
"ref": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
},
"exists": true
},
"auth": {
"type": {
"eq": "EMAIL_PASSWORD",
"in": [
"EMAIL_PASSWORD"
],
"notEq": "EMAIL_PASSWORD"
}
},
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"customClaims": {
"roles": {
"contains": {
"facilities": {
"contains": {
"eq": "text",
"notEq": "text"
}
},
"name": {
"eq": "FULFILLER",
"in": [
"FULFILLER"
],
"notEq": "FULFILLER"
}
},
"exists": true
}
},
"facilityLimitations": {
"contains": {
"eq": "text",
"notEq": "text"
},
"exists": true
},
"firstname": "Phil",
"lastModified": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"lastname": "Bison",
"or": "[Circular Reference]",
"username": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
}
}
],
"username": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
}
},
"size": 10,
"sort": [
{
"assignedRoles": {
"ref": "ASC"
},
"authenticationProvider": {
"type": "ASC"
},
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"firstname": "ASC",
"lastLogin": "ASC",
"lastname": "ASC",
"username": "ASC"
}
]
}{
"pageInfo": {
"endCursor": "text",
"hasNextPage": true,
"hasPreviousPage": true,
"startCursor": "text"
},
"total": 1,
"users": [
{
"assignedRoles": [
{
"context": [
{
"type": "FACILITY",
"values": [
"text"
]
}
],
"ref": "text"
}
],
"authenticationProvider": {
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"type": "EMAIL_PASSWORD"
},
"authenticationProviderType": "de_DE",
"created": "2026-01-01T00:00:00.000Z",
"customAttributes": {},
"email": "john.doe@example.com",
"facilityLimitations": [
"text"
],
"firstname": "John",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"lastLogin": "2026-01-01T00:00:00.000Z",
"lastModified": "2026-01-01T00:00:00.000Z",
"lastname": "Doe",
"locale": "de_DE",
"username": "johndoe",
"version": 1
}
]
}Search for Zone
ZoneSearchPayload
The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.
The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).
Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.
Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.
10The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.
Your search result
ZonePaginatedResult
The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
POST /api/zones/search HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1511
{
"after": "text",
"before": "text",
"last": 1,
"options": {
"withTotal": true
},
"query": {
"and": [
{
"and": [
{
"and": "[Circular Reference]",
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"name": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"or": "[Circular Reference]"
}
],
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"name": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"or": [
{
"and": "[Circular Reference]",
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"name": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"or": "[Circular Reference]"
}
]
}
],
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"name": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"or": [
{
"and": "[Circular Reference]",
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"name": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"or": "[Circular Reference]"
}
]
},
"size": 10,
"sort": [
{
"lastModified": "ASC"
}
]
}{
"pageInfo": {
"endCursor": "text",
"hasNextPage": true,
"hasPreviousPage": true,
"startCursor": "text"
},
"total": 1,
"zones": [
{
"version": 42,
"name": "text",
"score": 1,
"customAttributes": {},
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z"
}
]
}Search for Stock
StockSearchPayload
The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.
The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).
Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.
Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.
10The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.
Your search result
StockPaginatedResult
The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
POST /api/stocks/search HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 5493
{
"after": "text",
"before": "text",
"last": 1,
"options": {
"withTotal": true
},
"query": {
"and": [
{
"and": [
{
"and": "[Circular Reference]",
"availableUntil": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"conditions": {
"contains": {
"eq": "DEFECTIVE",
"in": [
"DEFECTIVE"
],
"notEq": "DEFECTIVE"
}
},
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"locationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"or": "[Circular Reference]",
"properties": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
},
"receiptDate": "2026-06-17T12:00:00.000Z",
"scannableCodes": {
"contains": {
"eq": "text",
"notEq": "text"
}
},
"tenantArticleId": "MY_ARTICLE_ID",
"tenantFacilityId": "MY_FACILITY_ID",
"tenantStockId": "MY_STOCK_ID",
"traits": {
"contains": {
"eq": "PICKABLE",
"in": [
"PICKABLE"
],
"notEq": "PICKABLE"
}
},
"value": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
}
}
],
"availableUntil": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"conditions": {
"contains": {
"eq": "DEFECTIVE",
"in": [
"DEFECTIVE"
],
"notEq": "DEFECTIVE"
}
},
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"locationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"or": [
{
"and": "[Circular Reference]",
"availableUntil": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"conditions": {
"contains": {
"eq": "DEFECTIVE",
"in": [
"DEFECTIVE"
],
"notEq": "DEFECTIVE"
}
},
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"locationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"or": "[Circular Reference]",
"properties": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
},
"receiptDate": "2026-06-17T12:00:00.000Z",
"scannableCodes": {
"contains": {
"eq": "text",
"notEq": "text"
}
},
"tenantArticleId": "MY_ARTICLE_ID",
"tenantFacilityId": "MY_FACILITY_ID",
"tenantStockId": "MY_STOCK_ID",
"traits": {
"contains": {
"eq": "PICKABLE",
"in": [
"PICKABLE"
],
"notEq": "PICKABLE"
}
},
"value": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
}
}
],
"properties": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
},
"receiptDate": "2026-06-17T12:00:00.000Z",
"scannableCodes": {
"contains": {
"eq": "text",
"notEq": "text"
}
},
"tenantArticleId": "MY_ARTICLE_ID",
"tenantFacilityId": "MY_FACILITY_ID",
"tenantStockId": "MY_STOCK_ID",
"traits": {
"contains": {
"eq": "PICKABLE",
"in": [
"PICKABLE"
],
"notEq": "PICKABLE"
}
},
"value": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
}
}
],
"availableUntil": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"conditions": {
"contains": {
"eq": "DEFECTIVE",
"in": [
"DEFECTIVE"
],
"notEq": "DEFECTIVE"
}
},
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"locationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"or": [
{
"and": "[Circular Reference]",
"availableUntil": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"conditions": {
"contains": {
"eq": "DEFECTIVE",
"in": [
"DEFECTIVE"
],
"notEq": "DEFECTIVE"
}
},
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"locationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"or": "[Circular Reference]",
"properties": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
},
"receiptDate": "2026-06-17T12:00:00.000Z",
"scannableCodes": {
"contains": {
"eq": "text",
"notEq": "text"
}
},
"tenantArticleId": "MY_ARTICLE_ID",
"tenantFacilityId": "MY_FACILITY_ID",
"tenantStockId": "MY_STOCK_ID",
"traits": {
"contains": {
"eq": "PICKABLE",
"in": [
"PICKABLE"
],
"notEq": "PICKABLE"
}
},
"value": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
}
}
],
"properties": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
},
"receiptDate": "2026-06-17T12:00:00.000Z",
"scannableCodes": {
"contains": {
"eq": "text",
"notEq": "text"
}
},
"tenantArticleId": "MY_ARTICLE_ID",
"tenantFacilityId": "MY_FACILITY_ID",
"tenantStockId": "MY_STOCK_ID",
"traits": {
"contains": {
"eq": "PICKABLE",
"in": [
"PICKABLE"
],
"notEq": "PICKABLE"
}
},
"value": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
}
},
"size": 10,
"sort": [
{
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"lastModified": "ASC",
"locationName": "ASC",
"tenantArticleId": "ASC",
"value": "ASC"
}
]
}{
"pageInfo": {
"endCursor": "text",
"hasNextPage": true,
"hasPreviousPage": true,
"startCursor": "text"
},
"stocks": [
{
"available": 1,
"availableUntil": "2026-01-01T00:00:00.000Z",
"conditions": [
"DEFECTIVE"
],
"created": "2026-01-01T00:00:00.000Z",
"customAttributes": {},
"facility": {
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"tenantFacilityId": "MY_FACILITY_ID"
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "text",
"lastModified": "2026-01-01T00:00:00.000Z",
"locationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"properties": {
"expiry": "text"
},
"receiptDate": "2026-06-17T12:00:00.000Z",
"scannableCodes": [
"text"
],
"scores": [
{
"scoreName": "ZONE",
"scoreType": "RATING",
"scoreValue": 1
}
],
"serializedProperties": "text",
"tenantArticleId": "MY_ARTICLE_ID",
"tenantStockId": "MY_STOCK_ID",
"traitConfig": [
{
"enabled": true,
"trait": "text"
}
],
"traits": [
"PICKABLE"
],
"value": 42,
"version": 1
}
],
"total": 1
}Search for Parcel
ParcelSearchPayload
The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.
The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).
Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.
Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.
10The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.
Your search result
ParcelPaginatedResult
The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
POST /api/parcels/search HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 8982
{
"after": "text",
"before": "text",
"last": 1,
"options": {
"withTotal": true
},
"query": {
"and": [
{
"and": [
{
"and": "[Circular Reference]",
"carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"invoice": {
"companyName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"email": "phil.bison@fulfillmenttools.com",
"firstName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"lastName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
}
},
"items": {
"contains": {
"article": {
"tenantArticleId": "MY_ARTICLE_ID",
"title": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
}
}
},
"exists": true
},
"lastModified": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"or": "[Circular Reference]",
"recipient": {
"companyName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"email": "phil.bison@fulfillmenttools.com",
"firstName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"lastName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
}
},
"result": {
"carrierTrackingNumber": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
},
"shipmentRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"shortId": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"status": {
"eq": "OPEN",
"in": [
"OPEN"
],
"notEq": "OPEN"
},
"tenantOrderId": "MY_ORDER_ID"
}
],
"carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"invoice": {
"companyName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"email": "phil.bison@fulfillmenttools.com",
"firstName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"lastName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
}
},
"items": {
"contains": {
"article": {
"tenantArticleId": "MY_ARTICLE_ID",
"title": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
}
}
},
"exists": true
},
"lastModified": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"or": [
{
"and": "[Circular Reference]",
"carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"invoice": {
"companyName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"email": "phil.bison@fulfillmenttools.com",
"firstName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"lastName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
}
},
"items": {
"contains": {
"article": {
"tenantArticleId": "MY_ARTICLE_ID",
"title": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
}
}
},
"exists": true
},
"lastModified": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"or": "[Circular Reference]",
"recipient": {
"companyName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"email": "phil.bison@fulfillmenttools.com",
"firstName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"lastName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
}
},
"result": {
"carrierTrackingNumber": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
},
"shipmentRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"shortId": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"status": {
"eq": "OPEN",
"in": [
"OPEN"
],
"notEq": "OPEN"
},
"tenantOrderId": "MY_ORDER_ID"
}
],
"recipient": {
"companyName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"email": "phil.bison@fulfillmenttools.com",
"firstName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"lastName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
}
},
"result": {
"carrierTrackingNumber": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
},
"shipmentRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"shortId": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"status": {
"eq": "OPEN",
"in": [
"OPEN"
],
"notEq": "OPEN"
},
"tenantOrderId": "MY_ORDER_ID"
}
],
"carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"invoice": {
"companyName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"email": "phil.bison@fulfillmenttools.com",
"firstName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"lastName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
}
},
"items": {
"contains": {
"article": {
"tenantArticleId": "MY_ARTICLE_ID",
"title": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
}
}
},
"exists": true
},
"lastModified": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"or": [
{
"and": "[Circular Reference]",
"carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"invoice": {
"companyName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"email": "phil.bison@fulfillmenttools.com",
"firstName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"lastName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
}
},
"items": {
"contains": {
"article": {
"tenantArticleId": "MY_ARTICLE_ID",
"title": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
}
}
},
"exists": true
},
"lastModified": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"or": "[Circular Reference]",
"recipient": {
"companyName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"email": "phil.bison@fulfillmenttools.com",
"firstName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"lastName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
}
},
"result": {
"carrierTrackingNumber": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
},
"shipmentRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"shortId": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"status": {
"eq": "OPEN",
"in": [
"OPEN"
],
"notEq": "OPEN"
},
"tenantOrderId": "MY_ORDER_ID"
}
],
"recipient": {
"companyName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"email": "phil.bison@fulfillmenttools.com",
"firstName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"lastName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
}
},
"result": {
"carrierTrackingNumber": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
},
"shipmentRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"shortId": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"status": {
"eq": "OPEN",
"in": [
"OPEN"
],
"notEq": "OPEN"
},
"tenantOrderId": "MY_ORDER_ID"
},
"size": 10,
"sort": [
{
"created": "ASC",
"lastModified": "ASC"
}
]
}{
"pageInfo": {
"endCursor": "text",
"hasNextPage": true,
"hasPreviousPage": true,
"startCursor": "text"
},
"parcels": [
{
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z",
"version": 42,
"sequenceNumber": 100,
"anonymized": false,
"carrierInformation": {
"shippingContainerNumber": "123456-ABC"
},
"carrierProduct": "EXPRESS",
"carrierRef": "cf00e102-34f2-45c1-a846-6a21f384321e",
"customAttributes": {},
"customProductValue": 12.5,
"dimensions": {
"customWeight": 1,
"height": 1,
"length": 1,
"weight": 1,
"width": 1
},
"documentsRef": "text",
"facilityRef": "text",
"id": "95EWrieX09OmeriXIUbb",
"invoice": {
"addressType": "POSTAL_ADDRESS",
"companyName": "Speedy Boxales Ltd.",
"coordinates": {
"lat": 50.937531,
"lon": 6.960279
},
"email": "test@try.de",
"firstName": "Maxine",
"lastName": "Muller",
"personalTitle": "Dr.",
"salutation": "Frau",
"additionalAddressInfo": "to care of: Mrs. Müller",
"city": "Langenfeld",
"country": "DE",
"customAttributes": {},
"houseNumber": "42a",
"phoneNumbers": [
{
"customAttributes": {},
"label": "text",
"type": "MOBILE",
"value": "text"
}
],
"postalCode": "40764",
"province": "NRW",
"street": "Hauptstr."
},
"items": [
{
"article": {
"titleLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"customAttributes": {},
"imageUrl": "https://example.com/resource",
"tenantArticleId": "4711",
"title": "Cologne Water",
"weight": 1,
"attributes": [
{
"valueLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"keyLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"category": "descriptive",
"context": {
"type": "FACILITY_GROUP",
"value": "text"
},
"key": "%%subtitle%%",
"priority": 100,
"type": "STRING",
"value": "585er Gold"
}
]
},
"customAttributes": {},
"globalLineItemId": "text",
"id": "ae3ba67c-a42c-4816-96ac-16231e49640c",
"measurementUnitKey": "pcs",
"quantity": 5,
"recordableAttributes": [
{
"keyLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"group": "general",
"id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
"key": "country of origin",
"originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
"recordingRule": "MANDATORY",
"value": "Germany"
}
],
"scannableCodes": [
"text"
],
"secondaryMeasurementUnitKey": "g",
"secondaryQuantity": 42,
"substituteForOrderedItem": {
"article": {
"titleLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"attributes": [
{
"valueLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"keyLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"category": "descriptive",
"context": {
"type": "FACILITY_GROUP",
"value": "text"
},
"key": "%%subtitle%%",
"priority": 100,
"type": "STRING",
"value": "585er Gold"
}
],
"imageUrl": "https://example.com/resource",
"tenantArticleId": "4711",
"title": "Cologne Water",
"weight": 1
},
"globalLineItemId": "text"
},
"serviceJobRefs": [
"0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
],
"originId": "df671041-10dd-4600-a2ff-e9ffe2556bba"
}
],
"loadUnitRefs": [
"text"
],
"operativeProcessRef": "text",
"paymentInformation": {
"currency": "EUR"
},
"pickUpInformation": {
"endTime": "2026-01-01T00:00:00.000Z",
"startTime": "2026-01-01T00:00:00.000Z"
},
"postalCharges": {
"currency": "EUR",
"value": 15.5
},
"processRef": "text",
"productValue": 1250,
"productValueCurrency": {
"currency": "EUR",
"decimalPlaces": 2
},
"productValueType": "INSURANCE",
"recipient": {
"addressType": "POSTAL_ADDRESS",
"companyName": "Speedy Boxales Ltd.",
"coordinates": {
"lat": 50.937531,
"lon": 6.960279
},
"email": "test@try.de",
"firstName": "Maxine",
"lastName": "Muller",
"personalTitle": "Dr.",
"salutation": "Frau",
"additionalAddressInfo": "to care of: Mrs. Müller",
"city": "Langenfeld",
"country": "DE",
"customAttributes": {},
"houseNumber": "42a",
"phoneNumbers": [
{
"customAttributes": {},
"label": "text",
"type": "MOBILE",
"value": "text"
}
],
"postalCode": "40764",
"province": "NRW",
"street": "Hauptstr."
},
"result": {
"carrierParcelRef": "84168117830018",
"carrierTrackingNumber": "84168117830018",
"carrierTrackingStatus": "registered",
"customsDocumentId": "3a186c51d4281acbecf5ed38805b1db92a9d668b",
"customsDocumentUrl": "someCepProvider.com/pathToReturnLabel.pdf",
"errors": {
"labelError": "text",
"returnLabelError": "text"
},
"labelUrl": "%%HOST%%/api/parcels/{parcelId}/labels/84168117830018.pdf",
"proxyId": "3a186c51d4281acbecf5ed38805b1db92a9d668b",
"returnLabelId": "3a186c51d4281acbecf5ed38805b1db92a9d668b",
"returnLabelUrl": "someCepProvider.com/pathToReturnLabel.pdf",
"returnTrackingUrl": "http://track.io/3a186c51d4",
"sendLabelUrl": "someCepProvider.com/pathToSendLabel.pdf",
"summary": "Package label was successfully requested at DHL.",
"trackingStatus": "registered",
"trackingUrl": "http://track.io/3a186c51d4"
},
"returnAddress": {
"additionalAddressInfo": "to care of: Mrs. Müller",
"city": "Langenfeld",
"country": "DE",
"customAttributes": {},
"houseNumber": "42a",
"phoneNumbers": [
{
"customAttributes": {},
"label": "text",
"type": "MOBILE",
"value": "text"
}
],
"postalCode": "40764",
"province": "NRW",
"street": "Hauptstr.",
"companyName": "Speedy Boxales Ltd.",
"emailAddresses": [
{
"recipient": "'Mailinglist reaching all the employees', 'Marc Fulton, Manager', etc.",
"value": "text"
}
],
"resolvedCoordinates": {
"lat": 50.937531,
"lon": 6.960279
},
"resolvedTimeZone": {
"offsetInSeconds": 28800,
"source": "Google Maps API",
"timeZoneId": "America/Los_Angeles",
"timeZoneName": "Pacific Standard Time"
}
},
"sender": {
"additionalAddressInfo": "to care of: Mrs. Müller",
"city": "Langenfeld",
"country": "DE",
"customAttributes": {},
"houseNumber": "42a",
"phoneNumbers": [
{
"customAttributes": {},
"label": "text",
"type": "MOBILE",
"value": "text"
}
],
"postalCode": "40764",
"province": "NRW",
"street": "Hauptstr.",
"companyName": "Speedy Boxales Ltd.",
"emailAddresses": [
{
"recipient": "'Mailinglist reaching all the employees', 'Marc Fulton, Manager', etc.",
"value": "text"
}
],
"resolvedCoordinates": {
"lat": 50.937531,
"lon": 6.960279
},
"resolvedTimeZone": {
"offsetInSeconds": 28800,
"source": "Google Maps API",
"timeZoneId": "America/Los_Angeles",
"timeZoneName": "Pacific Standard Time"
}
},
"services": {
"additionalTransportInsurance": true,
"adultSignature": true,
"bulkyGoods": true,
"customerSignature": true,
"handoverToRecipientOnly": true,
"identityAgeCheck18": true,
"identityCheckCompany": true,
"identityCheckPrivate": true,
"noNeighborDelivery": true,
"saturdayDelivery": true,
"signature": true
},
"shipmentRef": "95EWrieX09OmeriXIUbb",
"shortId": "AA12-1",
"status": "OPEN",
"tenantOrderId": "R456728546",
"tenantParcelId": "MY-PARCEL-12345",
"transfers": [
{
"id": "018fe899-80ec-70f8-9bda-f7cc904bc0bf",
"type": "RECEIVER"
}
],
"workflowInformation": {
"instanceRef": "64c13ab08edf48a008793cac",
"isAvailable": true,
"nodeRef": "text"
}
}
],
"total": 1
}Search for Listing
ListingSearchPayload
The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.
The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).
Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.
Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.
10The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.
Your search result
ListingPaginatedResult
The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
POST /api/listings/search HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 5903
{
"after": "text",
"before": "text",
"last": 1,
"options": {
"withTotal": true
},
"query": {
"and": [
{
"and": [
{
"and": "[Circular Reference]",
"availabilityTimeframe": "2026-06-17T12:00:00.000Z",
"categoryRefs": [
"0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
],
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"measurementUnitKey": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"or": "[Circular Reference]",
"outOfStockBehaviour": {
"eq": "NONE",
"in": [
"NONE"
],
"notEq": "NONE"
},
"price": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
},
"status": {
"eq": "ACTIVE",
"in": [
"ACTIVE"
],
"notEq": "ACTIVE"
},
"tenantArticleId": "MY_ARTICLE_ID",
"weight": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
},
"tags": {
"contains": {
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"value": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
},
"exists": true
}
}
],
"availabilityTimeframe": "2026-06-17T12:00:00.000Z",
"categoryRefs": [
"0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
],
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"measurementUnitKey": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"or": [
{
"and": "[Circular Reference]",
"availabilityTimeframe": "2026-06-17T12:00:00.000Z",
"categoryRefs": [
"0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
],
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"measurementUnitKey": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"or": "[Circular Reference]",
"outOfStockBehaviour": {
"eq": "NONE",
"in": [
"NONE"
],
"notEq": "NONE"
},
"price": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
},
"status": {
"eq": "ACTIVE",
"in": [
"ACTIVE"
],
"notEq": "ACTIVE"
},
"tenantArticleId": "MY_ARTICLE_ID",
"weight": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
},
"tags": {
"contains": {
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"value": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
},
"exists": true
}
}
],
"outOfStockBehaviour": {
"eq": "NONE",
"in": [
"NONE"
],
"notEq": "NONE"
},
"price": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
},
"status": {
"eq": "ACTIVE",
"in": [
"ACTIVE"
],
"notEq": "ACTIVE"
},
"tenantArticleId": "MY_ARTICLE_ID",
"weight": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
},
"tags": {
"contains": {
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"value": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
},
"exists": true
}
}
],
"availabilityTimeframe": "2026-06-17T12:00:00.000Z",
"categoryRefs": [
"0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
],
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"measurementUnitKey": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"or": [
{
"and": "[Circular Reference]",
"availabilityTimeframe": "2026-06-17T12:00:00.000Z",
"categoryRefs": [
"0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
],
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"measurementUnitKey": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"or": "[Circular Reference]",
"outOfStockBehaviour": {
"eq": "NONE",
"in": [
"NONE"
],
"notEq": "NONE"
},
"price": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
},
"status": {
"eq": "ACTIVE",
"in": [
"ACTIVE"
],
"notEq": "ACTIVE"
},
"tenantArticleId": "MY_ARTICLE_ID",
"weight": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
},
"tags": {
"contains": {
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"value": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
},
"exists": true
}
}
],
"outOfStockBehaviour": {
"eq": "NONE",
"in": [
"NONE"
],
"notEq": "NONE"
},
"price": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
},
"status": {
"eq": "ACTIVE",
"in": [
"ACTIVE"
],
"notEq": "ACTIVE"
},
"tenantArticleId": "MY_ARTICLE_ID",
"weight": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
},
"tags": {
"contains": {
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"value": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
},
"exists": true
}
},
"size": 10,
"sort": [
{
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"lastModified": "ASC",
"tenantArticleId": "ASC"
}
]
}{
"listings": [
{
"titleLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"attributes": [
{
"valueLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"keyLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"category": "descriptive",
"context": {
"type": "FACILITY_GROUP",
"value": "text"
},
"key": "%%subtitle%%",
"priority": 100,
"type": "STRING",
"value": "585er Gold"
}
],
"categoryRefs": [
"text"
],
"customAttributes": {},
"imageUrl": "text",
"legal": {
"hsCode": "text"
},
"measurementUnitKey": "liter",
"outOfStockBehaviour": "NONE",
"outOfStockBehaviourByContexts": [
{
"context": [
{
"operator": "NOT",
"type": "FACILITY_GROUP",
"values": [
"uuid-bkrs-0157"
]
}
],
"outOfStockBehaviour": "NONE",
"outOfStockConfig": {
"preorder": {
"availabilityTimeframe": {
"start": "2020-02-03T08:45:50.525Z"
}
},
"restock": {
"restockableInDays": 1
}
},
"priority": 100
}
],
"outOfStockConfig": {
"preorder": {
"availabilityTimeframe": {
"start": "2020-02-03T08:45:50.525Z"
}
},
"restock": {
"restockableInDays": 1
}
},
"recordableAttributes": [
{
"keyLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"key": "Serialnumber",
"recordingRule": "MANDATORY",
"value": "Germany"
}
],
"scannableCodes": [
"text"
],
"scanningRule": {
"values": [
{
"priority": 1,
"scanningRuleType": "ARTICLE"
}
]
},
"stockAvailableUntil": {
"calculationBase": "EXPIRY",
"modifier": "-P30D"
},
"stockProperties": {
"ANY_ADDITIONAL_PROPERTY": {
"defaultValue": "text",
"inputType": "DATE",
"required": true
}
},
"tenantArticleId": "4711",
"title": "Adidas Superstar",
"tags": [],
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z",
"version": 42,
"facilityId": "4711",
"id": "fsfdsf87fsd",
"status": "ACTIVE"
}
],
"pageInfo": {
"endCursor": "text",
"hasNextPage": true,
"hasPreviousPage": true,
"startCursor": "text"
},
"total": 1
}Search for Shipment
ShipmentSearchPayload
The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.
The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).
Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.
Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.
10The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.
Your search result
ShipmentPaginatedResult
The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
POST /api/shipments/search HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 5839
{
"after": "text",
"before": "text",
"last": 1,
"options": {
"withTotal": true
},
"query": {
"and": [
{
"and": [
{
"and": "[Circular Reference]",
"anonymized": {
"eq": true,
"notEq": true
},
"carrierKey": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"or": "[Circular Reference]",
"parcels": {
"contains": {
"status": {
"eq": "OPEN",
"in": [
"OPEN"
],
"notEq": "OPEN"
}
},
"exists": true
},
"pickJobRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"status": {
"eq": "INITIAL",
"in": [
"INITIAL"
],
"notEq": "INITIAL"
},
"targetTime": "2026-06-17T12:00:00.000Z",
"tenantOrderId": "MY_ORDER_ID"
}
],
"anonymized": {
"eq": true,
"notEq": true
},
"carrierKey": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"or": [
{
"and": "[Circular Reference]",
"anonymized": {
"eq": true,
"notEq": true
},
"carrierKey": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"or": "[Circular Reference]",
"parcels": {
"contains": {
"status": {
"eq": "OPEN",
"in": [
"OPEN"
],
"notEq": "OPEN"
}
},
"exists": true
},
"pickJobRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"status": {
"eq": "INITIAL",
"in": [
"INITIAL"
],
"notEq": "INITIAL"
},
"targetTime": "2026-06-17T12:00:00.000Z",
"tenantOrderId": "MY_ORDER_ID"
}
],
"parcels": {
"contains": {
"status": {
"eq": "OPEN",
"in": [
"OPEN"
],
"notEq": "OPEN"
}
},
"exists": true
},
"pickJobRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"status": {
"eq": "INITIAL",
"in": [
"INITIAL"
],
"notEq": "INITIAL"
},
"targetTime": "2026-06-17T12:00:00.000Z",
"tenantOrderId": "MY_ORDER_ID"
}
],
"anonymized": {
"eq": true,
"notEq": true
},
"carrierKey": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"or": [
{
"and": [
{
"and": "[Circular Reference]",
"anonymized": {
"eq": true,
"notEq": true
},
"carrierKey": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"or": "[Circular Reference]",
"parcels": {
"contains": {
"status": {
"eq": "OPEN",
"in": [
"OPEN"
],
"notEq": "OPEN"
}
},
"exists": true
},
"pickJobRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"status": {
"eq": "INITIAL",
"in": [
"INITIAL"
],
"notEq": "INITIAL"
},
"targetTime": "2026-06-17T12:00:00.000Z",
"tenantOrderId": "MY_ORDER_ID"
}
],
"anonymized": {
"eq": true,
"notEq": true
},
"carrierKey": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"or": [
{
"and": "[Circular Reference]",
"anonymized": {
"eq": true,
"notEq": true
},
"carrierKey": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"or": "[Circular Reference]",
"parcels": {
"contains": {
"status": {
"eq": "OPEN",
"in": [
"OPEN"
],
"notEq": "OPEN"
}
},
"exists": true
},
"pickJobRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"status": {
"eq": "INITIAL",
"in": [
"INITIAL"
],
"notEq": "INITIAL"
},
"targetTime": "2026-06-17T12:00:00.000Z",
"tenantOrderId": "MY_ORDER_ID"
}
],
"parcels": {
"contains": {
"status": {
"eq": "OPEN",
"in": [
"OPEN"
],
"notEq": "OPEN"
}
},
"exists": true
},
"pickJobRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"status": {
"eq": "INITIAL",
"in": [
"INITIAL"
],
"notEq": "INITIAL"
},
"targetTime": "2026-06-17T12:00:00.000Z",
"tenantOrderId": "MY_ORDER_ID"
}
],
"parcels": {
"contains": {
"status": {
"eq": "OPEN",
"in": [
"OPEN"
],
"notEq": "OPEN"
}
},
"exists": true
},
"pickJobRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"status": {
"eq": "INITIAL",
"in": [
"INITIAL"
],
"notEq": "INITIAL"
},
"targetTime": "2026-06-17T12:00:00.000Z",
"tenantOrderId": "MY_ORDER_ID"
},
"size": 10,
"sort": [
{
"created": "ASC",
"targetTime": "ASC"
}
]
}{
"pageInfo": {
"endCursor": "text",
"hasNextPage": true,
"hasPreviousPage": true,
"startCursor": "text"
},
"shipments": [
{
"carrierLogoUrl": "text",
"carrierProduct": "EXPRESS",
"carrierRef": "ca525716-7208-4a63-a2a6-11274eb37f67-0",
"carrierServices": [
"SIGNATURE"
],
"customAttributes": {},
"facilityRef": "text",
"invoiceAddress": {
"addressType": "POSTAL_ADDRESS",
"companyName": "Speedy Boxales Ltd.",
"coordinates": {
"lat": 50.937531,
"lon": 6.960279
},
"email": "test@try.de",
"firstName": "Maxine",
"lastName": "Muller",
"personalTitle": "Dr.",
"salutation": "Frau",
"additionalAddressInfo": "to care of: Mrs. Müller",
"city": "Langenfeld",
"country": "DE",
"customAttributes": {},
"houseNumber": "42a",
"phoneNumbers": [
{
"customAttributes": {},
"label": "text",
"type": "MOBILE",
"value": "text"
}
],
"postalCode": "40764",
"province": "NRW",
"street": "Hauptstr."
},
"lineItems": [
{
"article": {
"titleLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"customAttributes": {},
"imageUrl": "https://example.com/resource",
"tenantArticleId": "4711",
"title": "Cologne Water",
"weight": 1,
"attributes": [
{
"valueLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"keyLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"category": "descriptive",
"context": {
"type": "FACILITY_GROUP",
"value": "text"
},
"key": "%%subtitle%%",
"priority": 100,
"type": "STRING",
"value": "585er Gold"
}
]
},
"customAttributes": {},
"measurementUnitKey": "liter",
"quantity": 21,
"recordableAttributes": [
{
"keyLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"group": "general",
"id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
"key": "country of origin",
"originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
"recordingRule": "MANDATORY",
"value": "Germany"
}
],
"scannableCodes": [
"text"
],
"tags": [],
"id": "climk4dcQFiPdA5ULuhS"
}
],
"operativeProcessRef": "text",
"orderDate": "2026-01-01T00:00:00.000Z",
"paymentInformation": {
"currency": "EUR"
},
"pickJobRef": "Esb20gpHBL94X5NdMp3C",
"postalAddress": {
"addressType": "POSTAL_ADDRESS",
"companyName": "Speedy Boxales Ltd.",
"coordinates": {
"lat": 50.937531,
"lon": 6.960279
},
"email": "test@try.de",
"firstName": "Maxine",
"lastName": "Muller",
"personalTitle": "Dr.",
"salutation": "Frau",
"additionalAddressInfo": "to care of: Mrs. Müller",
"city": "Langenfeld",
"country": "DE",
"customAttributes": {},
"houseNumber": "42a",
"phoneNumbers": [
{
"customAttributes": {},
"label": "text",
"type": "MOBILE",
"value": "text"
}
],
"postalCode": "40764",
"province": "NRW",
"street": "Hauptstr."
},
"processId": "text",
"shortId": "text",
"sourceAddress": {
"additionalAddressInfo": "to care of: Mrs. Müller",
"city": "Langenfeld",
"country": "DE",
"customAttributes": {},
"houseNumber": "42a",
"phoneNumbers": [
{
"customAttributes": {},
"label": "text",
"type": "MOBILE",
"value": "text"
}
],
"postalCode": "40764",
"province": "NRW",
"street": "Hauptstr.",
"companyName": "Speedy Boxales Ltd.",
"emailAddresses": [
{
"recipient": "'Mailinglist reaching all the employees', 'Marc Fulton, Manager', etc.",
"value": "text"
}
],
"resolvedCoordinates": {
"lat": 50.937531,
"lon": 6.960279
},
"resolvedTimeZone": {
"offsetInSeconds": 28800,
"source": "Google Maps API",
"timeZoneId": "America/Los_Angeles",
"timeZoneName": "Pacific Standard Time"
}
},
"targetAddress": {
"addressType": "POSTAL_ADDRESS",
"companyName": "Speedy Boxales Ltd.",
"coordinates": {
"lat": 50.937531,
"lon": 6.960279
},
"email": "test@try.de",
"firstName": "Maxine",
"lastName": "Muller",
"personalTitle": "Dr.",
"salutation": "Frau",
"additionalAddressInfo": "to care of: Mrs. Müller",
"city": "Langenfeld",
"country": "DE",
"customAttributes": {},
"houseNumber": "42a",
"phoneNumbers": [
{
"customAttributes": {},
"label": "text",
"type": "MOBILE",
"value": "text"
}
],
"postalCode": "40764",
"province": "NRW",
"street": "Hauptstr."
},
"targetTime": "2020-02-03T09:45:51.525Z",
"targetTimeBaseDate": "2020-02-03T08:45:50.525Z",
"tenantOrderId": "text",
"transfers": [
{
"id": "018fe899-80ec-70f8-9bda-f7cc904bc0bf",
"type": "RECEIVER"
}
],
"tags": [],
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z",
"version": 42,
"anonymized": false,
"carrierKey": "DPD",
"hasActiveCarrier": false,
"id": "95EWrieX09OmeriXIUbb",
"parcels": [
{
"carrierRef": "ca525716-7208-4a63-a2a6-11274eb37f67-0",
"carrierTrackingNumber": "84168117830018",
"parcelRef": "15EZrieW09OmeriXIUbc",
"status": "OPEN"
}
],
"status": "INITIAL",
"workflowInformation": {
"instanceRef": "64c13ab08edf48a008793cac",
"isAvailable": true,
"nodeRef": "text"
}
}
],
"total": 1
}Search for PackJob
PackJobSearchPayload
The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.
The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).
Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.
Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.
10The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.
Your search result
PackJobPaginatedResult
The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
POST /api/packjobs/search HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 7813
{
"after": "text",
"before": "text",
"last": 1,
"options": {
"withTotal": true
},
"query": {
"and": [
{
"and": [
{
"and": "[Circular Reference]",
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"invoice": {
"companyName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"email": "phil.bison@fulfillmenttools.com",
"firstName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"lastName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
}
},
"lastModified": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"lineItems": {
"contains": {
"article": {
"tenantArticleId": "MY_ARTICLE_ID",
"title": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
}
}
},
"exists": true
},
"or": "[Circular Reference]",
"orderDate": "2026-06-17T12:00:00.000Z",
"packingSourceContainers": {
"contains": {
"codes": {
"contains": {
"eq": "text",
"notEq": "text"
}
}
},
"exists": true
},
"recipient": {
"companyName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"email": "phil.bison@fulfillmenttools.com",
"firstName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"lastName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
}
},
"shortId": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"status": {
"eq": "OPEN",
"in": [
"OPEN"
],
"notEq": "OPEN"
},
"targetTime": "2026-06-17T12:00:00.000Z",
"tenantOrderId": "MY_ORDER_ID"
}
],
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"invoice": {
"companyName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"email": "phil.bison@fulfillmenttools.com",
"firstName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"lastName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
}
},
"lastModified": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"lineItems": {
"contains": {
"article": {
"tenantArticleId": "MY_ARTICLE_ID",
"title": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
}
}
},
"exists": true
},
"or": [
{
"and": "[Circular Reference]",
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"invoice": {
"companyName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"email": "phil.bison@fulfillmenttools.com",
"firstName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"lastName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
}
},
"lastModified": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"lineItems": {
"contains": {
"article": {
"tenantArticleId": "MY_ARTICLE_ID",
"title": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
}
}
},
"exists": true
},
"or": "[Circular Reference]",
"orderDate": "2026-06-17T12:00:00.000Z",
"packingSourceContainers": {
"contains": {
"codes": {
"contains": {
"eq": "text",
"notEq": "text"
}
}
},
"exists": true
},
"recipient": {
"companyName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"email": "phil.bison@fulfillmenttools.com",
"firstName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"lastName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
}
},
"shortId": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"status": {
"eq": "OPEN",
"in": [
"OPEN"
],
"notEq": "OPEN"
},
"targetTime": "2026-06-17T12:00:00.000Z",
"tenantOrderId": "MY_ORDER_ID"
}
],
"orderDate": "2026-06-17T12:00:00.000Z",
"packingSourceContainers": {
"contains": {
"codes": {
"contains": {
"eq": "text",
"notEq": "text"
}
}
},
"exists": true
},
"recipient": {
"companyName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"email": "phil.bison@fulfillmenttools.com",
"firstName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"lastName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
}
},
"shortId": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"status": {
"eq": "OPEN",
"in": [
"OPEN"
],
"notEq": "OPEN"
},
"targetTime": "2026-06-17T12:00:00.000Z",
"tenantOrderId": "MY_ORDER_ID"
}
],
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"invoice": {
"companyName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"email": "phil.bison@fulfillmenttools.com",
"firstName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"lastName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
}
},
"lastModified": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"lineItems": {
"contains": {
"article": {
"tenantArticleId": "MY_ARTICLE_ID",
"title": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
}
}
},
"exists": true
},
"or": [
{
"and": "[Circular Reference]",
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"invoice": {
"companyName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"email": "phil.bison@fulfillmenttools.com",
"firstName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"lastName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
}
},
"lastModified": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"lineItems": {
"contains": {
"article": {
"tenantArticleId": "MY_ARTICLE_ID",
"title": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
}
}
},
"exists": true
},
"or": "[Circular Reference]",
"orderDate": "2026-06-17T12:00:00.000Z",
"packingSourceContainers": {
"contains": {
"codes": {
"contains": {
"eq": "text",
"notEq": "text"
}
}
},
"exists": true
},
"recipient": {
"companyName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"email": "phil.bison@fulfillmenttools.com",
"firstName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"lastName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
}
},
"shortId": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"status": {
"eq": "OPEN",
"in": [
"OPEN"
],
"notEq": "OPEN"
},
"targetTime": "2026-06-17T12:00:00.000Z",
"tenantOrderId": "MY_ORDER_ID"
}
],
"orderDate": "2026-06-17T12:00:00.000Z",
"packingSourceContainers": {
"contains": {
"codes": {
"contains": {
"eq": "text",
"notEq": "text"
}
}
},
"exists": true
},
"recipient": {
"companyName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"email": "phil.bison@fulfillmenttools.com",
"firstName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"lastName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
}
},
"shortId": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"status": {
"eq": "OPEN",
"in": [
"OPEN"
],
"notEq": "OPEN"
},
"targetTime": "2026-06-17T12:00:00.000Z",
"tenantOrderId": "MY_ORDER_ID"
},
"size": 10,
"sort": [
{
"lastModified": "ASC",
"orderDate": "ASC",
"targetTime": "ASC"
}
]
}{
"packJobs": [
{
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z",
"version": 42,
"anonymized": false,
"assignedUsers": [
{
"userId": "text",
"username": "text"
}
],
"customAttributes": {},
"deliveryChannel": "COLLECT",
"documentHandling": {
"sendLabel": {
"enabled": false
}
},
"documentsRef": "text",
"editor": {
"userId": "text",
"username": "text"
},
"facilityRef": "Esb50gpH7794X5NdMp3C",
"id": "Esb20gpHBL94X5NdMp3C",
"invoice": {
"addressType": "POSTAL_ADDRESS",
"companyName": "Speedy Boxales Ltd.",
"coordinates": {
"lat": 50.937531,
"lon": 6.960279
},
"email": "test@try.de",
"firstName": "Maxine",
"lastName": "Muller",
"personalTitle": "Dr.",
"salutation": "Frau",
"additionalAddressInfo": "to care of: Mrs. Müller",
"city": "Langenfeld",
"country": "DE",
"customAttributes": {},
"houseNumber": "42a",
"phoneNumbers": [
{
"customAttributes": {},
"label": "text",
"type": "MOBILE",
"value": "text"
}
],
"postalCode": "40764",
"province": "NRW",
"street": "Hauptstr."
},
"lineItems": [
{
"article": {
"titleLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"customAttributes": {},
"imageUrl": "https://example.com/resource",
"tenantArticleId": "4711",
"title": "Cologne Water",
"weight": 1,
"attributes": [
{
"valueLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"keyLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"category": "descriptive",
"context": {
"type": "FACILITY_GROUP",
"value": "text"
},
"key": "%%subtitle%%",
"priority": 100,
"type": "STRING",
"value": "585er Gold"
}
]
},
"customAttributes": {},
"globalLineItemId": "text",
"id": "climk4dcQFiPdA5ULuhS",
"measurementUnitKey": "liter",
"quantity": 21,
"recordableAttributes": [
{
"keyLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"group": "general",
"id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
"key": "country of origin",
"originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
"recordingRule": "MANDATORY",
"value": "Germany"
}
],
"scannableCodes": [
"text"
],
"secondaryMeasurementUnitKey": "g",
"secondaryQuantity": 42,
"substituteForOrderedItem": {
"article": {
"titleLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"attributes": [
{
"valueLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"keyLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"category": "descriptive",
"context": {
"type": "FACILITY_GROUP",
"value": "text"
},
"key": "%%subtitle%%",
"priority": 100,
"type": "STRING",
"value": "585er Gold"
}
],
"imageUrl": "https://example.com/resource",
"tenantArticleId": "4711",
"title": "Cologne Water",
"weight": 1
},
"globalLineItemId": "text"
},
"serviceJobRefs": [
"0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
],
"originId": "df671041-10dd-4600-a2ff-e9ffe2556bba",
"packed": 20,
"stickers": [],
"tags": []
}
],
"operativeProcessRef": "text",
"orderDate": "2020-02-03T09:45:51.525Z",
"orderRef": "text",
"packingSourceContainers": [
{
"codes": [
"text"
],
"id": "c7467ba8-c28a-4473-8748-a4e54e675e4c",
"previousModuleContainerInfo": {
"containerRef": "019df7f0-0507-7002-a9ef-6285caa2e785",
"type": "LOAD_UNIT"
}
}
],
"pickJobRef": "Pic50gpH7794X5NdMp3C",
"processId": "text",
"recipient": {
"addressType": "POSTAL_ADDRESS",
"companyName": "Speedy Boxales Ltd.",
"coordinates": {
"lat": 50.937531,
"lon": 6.960279
},
"email": "test@try.de",
"firstName": "Maxine",
"lastName": "Muller",
"personalTitle": "Dr.",
"salutation": "Frau",
"additionalAddressInfo": "to care of: Mrs. Müller",
"city": "Langenfeld",
"country": "DE",
"customAttributes": {},
"houseNumber": "42a",
"phoneNumbers": [
{
"customAttributes": {},
"label": "text",
"type": "MOBILE",
"value": "text"
}
],
"postalCode": "40764",
"province": "NRW",
"street": "Hauptstr."
},
"recipientName": "text",
"shortId": "text",
"status": "OPEN",
"stickers": [],
"targetTime": "2020-02-03T09:45:51.525Z",
"tenantOrderId": "text",
"transfers": [
{
"id": "018fe899-80ec-70f8-9bda-f7cc904bc0bf",
"type": "RECEIVER"
}
],
"workflowInformation": {
"instanceRef": "64c13ab08edf48a008793cac",
"isAvailable": true,
"nodeRef": "text"
},
"tags": []
}
],
"pageInfo": {
"endCursor": "text",
"hasNextPage": true,
"hasPreviousPage": true,
"startCursor": "text"
},
"total": 1
}Search for PickJob
PickJobSearchPayload
The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.
The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).
Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.
Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.
10The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.
Your search result
PickJobPaginatedResult
The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
POST /api/pickjobs/search HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 5908
{
"after": "text",
"before": "text",
"last": 1,
"options": {
"withTotal": true
},
"query": {
"and": [
{
"and": [
{
"and": "[Circular Reference]",
"consumerName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"lastModified": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"or": "[Circular Reference]",
"orderRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"preferredPickingMethods": {
"contains": {
"eq": "SINGLE_ORDER",
"in": [
"SINGLE_ORDER"
],
"notEq": "SINGLE_ORDER"
}
},
"status": {
"eq": "ABORTED",
"in": [
"ABORTED"
],
"notEq": "ABORTED"
},
"targetTime": "2026-06-17T12:00:00.000Z",
"tenantArticleIds": {
"contains": {
"eq": "text",
"notEq": "text"
}
},
"tenantOrderId": "MY_ORDER_ID",
"transfers": {
"contains": {
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
},
"exists": true
}
}
],
"consumerName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"lastModified": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"or": [
{
"and": "[Circular Reference]",
"consumerName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"lastModified": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"or": "[Circular Reference]",
"orderRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"preferredPickingMethods": {
"contains": {
"eq": "SINGLE_ORDER",
"in": [
"SINGLE_ORDER"
],
"notEq": "SINGLE_ORDER"
}
},
"status": {
"eq": "ABORTED",
"in": [
"ABORTED"
],
"notEq": "ABORTED"
},
"targetTime": "2026-06-17T12:00:00.000Z",
"tenantArticleIds": {
"contains": {
"eq": "text",
"notEq": "text"
}
},
"tenantOrderId": "MY_ORDER_ID",
"transfers": {
"contains": {
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
},
"exists": true
}
}
],
"orderRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"preferredPickingMethods": {
"contains": {
"eq": "SINGLE_ORDER",
"in": [
"SINGLE_ORDER"
],
"notEq": "SINGLE_ORDER"
}
},
"status": {
"eq": "ABORTED",
"in": [
"ABORTED"
],
"notEq": "ABORTED"
},
"targetTime": "2026-06-17T12:00:00.000Z",
"tenantArticleIds": {
"contains": {
"eq": "text",
"notEq": "text"
}
},
"tenantOrderId": "MY_ORDER_ID",
"transfers": {
"contains": {
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
},
"exists": true
}
}
],
"consumerName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"lastModified": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"or": [
{
"and": "[Circular Reference]",
"consumerName": {
"eq": "text",
"in": [
"text"
],
"like": "text",
"notEq": "text",
"notIn": [
"text"
]
},
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"lastModified": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"or": "[Circular Reference]",
"orderRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"preferredPickingMethods": {
"contains": {
"eq": "SINGLE_ORDER",
"in": [
"SINGLE_ORDER"
],
"notEq": "SINGLE_ORDER"
}
},
"status": {
"eq": "ABORTED",
"in": [
"ABORTED"
],
"notEq": "ABORTED"
},
"targetTime": "2026-06-17T12:00:00.000Z",
"tenantArticleIds": {
"contains": {
"eq": "text",
"notEq": "text"
}
},
"tenantOrderId": "MY_ORDER_ID",
"transfers": {
"contains": {
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
},
"exists": true
}
}
],
"orderRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"preferredPickingMethods": {
"contains": {
"eq": "SINGLE_ORDER",
"in": [
"SINGLE_ORDER"
],
"notEq": "SINGLE_ORDER"
}
},
"status": {
"eq": "ABORTED",
"in": [
"ABORTED"
],
"notEq": "ABORTED"
},
"targetTime": "2026-06-17T12:00:00.000Z",
"tenantArticleIds": {
"contains": {
"eq": "text",
"notEq": "text"
}
},
"tenantOrderId": "MY_ORDER_ID",
"transfers": {
"contains": {
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
},
"exists": true
}
},
"size": 10,
"sort": [
{
"created": "ASC",
"lastModified": "ASC",
"targetTime": "ASC",
"tenantOrderId": "ASC"
}
]
}{
"pageInfo": {
"endCursor": "text",
"hasNextPage": true,
"hasPreviousPage": true,
"startCursor": "text"
},
"pickJobs": [
{
"assignedUsers": [
{
"userId": "text",
"username": "text"
}
],
"customAttributes": {},
"deliveryinformation": {
"channel": "COLLECT",
"details": {
"collect": {
"identifier": "text",
"paid": false
},
"shipping": {
"carrierKey": "text",
"carrierProduct": "EXPRESS",
"carrierProductCategory": "STANDARD",
"carrierServices": [
"SIGNATURE"
],
"identifier": "text",
"invoiceAddress": {
"addressType": "POSTAL_ADDRESS",
"companyName": "Speedy Boxales Ltd.",
"coordinates": {
"lat": 50.937531,
"lon": 6.960279
},
"email": "test@try.de",
"firstName": "Maxine",
"lastName": "Muller",
"personalTitle": "Dr.",
"salutation": "Frau",
"additionalAddressInfo": "to care of: Mrs. Müller",
"city": "Langenfeld",
"country": "DE",
"customAttributes": {},
"houseNumber": "42a",
"phoneNumbers": [
{
"customAttributes": {},
"label": "text",
"type": "MOBILE",
"value": "text"
}
],
"postalCode": "40764",
"province": "NRW",
"street": "Hauptstr."
},
"postalAddress": {
"addressType": "POSTAL_ADDRESS",
"companyName": "Speedy Boxales Ltd.",
"coordinates": {
"lat": 50.937531,
"lon": 6.960279
},
"email": "test@try.de",
"firstName": "Maxine",
"lastName": "Muller",
"personalTitle": "Dr.",
"salutation": "Frau",
"additionalAddressInfo": "to care of: Mrs. Müller",
"city": "Langenfeld",
"country": "DE",
"customAttributes": {},
"houseNumber": "42a",
"phoneNumbers": [
{
"customAttributes": {},
"label": "text",
"type": "MOBILE",
"value": "text"
}
],
"postalCode": "40764",
"province": "NRW",
"street": "Hauptstr."
},
"recipientaddress": {
"addressType": "POSTAL_ADDRESS",
"companyName": "Speedy Boxales Ltd.",
"coordinates": {
"lat": 50.937531,
"lon": 6.960279
},
"email": "test@try.de",
"firstName": "Maxine",
"lastName": "Muller",
"personalTitle": "Dr.",
"salutation": "Frau",
"additionalAddressInfo": "to care of: Mrs. Müller",
"city": "Langenfeld",
"country": "DE",
"customAttributes": {},
"houseNumber": "42a",
"phoneNumbers": [
{
"customAttributes": {},
"label": "text",
"type": "MOBILE",
"value": "text"
}
],
"postalCode": "40764",
"province": "NRW",
"street": "Hauptstr."
},
"serviceLevel": "DELIVERY"
}
},
"targetTime": "2020-02-03T09:45:51.525Z",
"targetTimeBaseDate": "2020-02-03T08:45:50.525Z"
},
"expectedPickLineItems": [
{
"allowedSubstitutes": [
{
"attributes": [
{
"valueLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"keyLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"category": "descriptive",
"context": {
"type": "FACILITY_GROUP",
"value": "text"
},
"key": "%%subtitle%%",
"priority": 100,
"type": "STRING",
"value": "585er Gold"
}
],
"imageUrl": "text",
"measurementUnitKey": "liter",
"measurementValidation": {
"overPickHardTolerancePercentage": 20,
"overPickSoftTolerancePercentage": 15,
"shortPickHardTolerancePercentage": 15,
"shortPickSoftTolerancePercentage": 10
},
"priority": 1,
"scannableCodes": [
"text"
],
"secondaryMeasurementUnitKey": "gram",
"tenantArticleId": "text",
"title": "text"
}
],
"article": {
"titleLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"attributes": [
{
"valueLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"keyLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"category": "descriptive",
"context": {
"type": "FACILITY_GROUP",
"value": "text"
},
"key": "%%subtitle%%",
"priority": 100,
"type": "STRING",
"value": "585er Gold"
}
],
"imageUrl": "https://example.com/resource",
"tenantArticleId": "4711",
"title": "Cologne Water",
"weight": 1
},
"customAttributes": {},
"measurementUnitKey": "liter",
"measurementValidation": {
"overPickHardTolerancePercentage": 20,
"overPickSoftTolerancePercentage": 15,
"shortPickHardTolerancePercentage": 15,
"shortPickSoftTolerancePercentage": 10
},
"partialStockLocations": [
{
"available": 21,
"location": {
"locationRef": "text",
"scannableCodes": [
"text"
]
},
"quantity": 21,
"ratingScore": 1,
"sequenceScore": 1,
"stockProperties": {
"expiry": "text"
},
"stockRef": "text",
"tenantPartialStockId": "text"
}
],
"quantity": 21,
"scannableCodes": [
"text"
],
"secondaryMeasurementUnitKey": "liter",
"secondaryQuantity": 21,
"stickers": [],
"transferId": "text",
"tags": []
},
{
"id": "climk4dcQFiPdA5ULuhS"
}
],
"facilityRef": "Esb20gpHBL94X5NdMp3C",
"operativeProcessRef": "text",
"orderDate": "2020-02-03T08:45:50.525Z",
"orderRef": "LGMl2DuvPnfPoSHhYFOm",
"paymentInformation": {
"currency": "EUR"
},
"pickingTimes": {
"startLatestAt": "2024-02-03T09:45:51.525Z"
},
"pickLineItems": [
{
"article": {
"titleLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"attributes": [
{
"valueLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"keyLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"category": "descriptive",
"context": {
"type": "FACILITY_GROUP",
"value": "text"
},
"key": "%%subtitle%%",
"priority": 100,
"type": "STRING",
"value": "585er Gold"
}
],
"imageUrl": "https://example.com/resource",
"tenantArticleId": "4711",
"title": "Cologne Water",
"weight": 1
},
"customAttributes": {},
"globalLineItemId": "a81f818e-2405-4570-8cde-b0c80fd3de31",
"id": "climk4dcQFiPdA5ULuhS",
"measurementUnitKey": "liter",
"quantity": 21,
"recordableAttributes": [
{
"keyLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"group": "general",
"id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
"key": "country of origin",
"originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
"recordingRule": "MANDATORY",
"value": "Germany"
}
],
"scannableCodes": [
"text"
],
"secondaryMeasurementUnitKey": "liter",
"secondaryQuantity": 21,
"allowedSubstitutes": [
{
"attributes": [
{
"valueLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"keyLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"category": "descriptive",
"context": {
"type": "FACILITY_GROUP",
"value": "text"
},
"key": "%%subtitle%%",
"priority": 100,
"type": "STRING",
"value": "585er Gold"
}
],
"imageUrl": "text",
"measurementUnitKey": "liter",
"measurementValidation": {
"overPickHardTolerancePercentage": 20,
"overPickSoftTolerancePercentage": 15,
"shortPickHardTolerancePercentage": 15,
"shortPickSoftTolerancePercentage": 10
},
"priority": 1,
"scannableCodes": [
"text"
],
"secondaryMeasurementUnitKey": "gram",
"tenantArticleId": "text",
"title": "text"
}
],
"measurementValidation": {
"overPickHardTolerancePercentage": 20,
"overPickSoftTolerancePercentage": 15,
"shortPickHardTolerancePercentage": 15,
"shortPickSoftTolerancePercentage": 10
},
"originId": "df671041-10dd-4600-a2ff-e9ffe2556bba",
"partialStockLocations": [
{
"available": 21,
"location": {
"locationRef": "text",
"scannableCodes": [
"text"
]
},
"quantity": 21,
"ratingScore": 1,
"sequenceScore": 1,
"stockProperties": {
"expiry": "text"
},
"stockRef": "text",
"tenantPartialStockId": "text"
}
],
"picked": 20,
"pickedAt": "2024-02-03T08:45:51.525Z",
"pickJobLineItemRef": "12345",
"scannedCodes": [
{
"code": 1245678,
"quantity": 7
}
],
"scanningRules": {
"scanningMode": "MUST_SCAN_FIRST",
"scanningType": [
{
"priority": 1,
"scanningRuleType": "ARTICLE"
}
]
},
"secondaryPicked": 20,
"shortPickReason": {
"reasonLocalized": "{ en_US: 'SomeName' }",
"reason": "text"
},
"status": "OPEN",
"stickers": [],
"stockEmptied": true,
"substituteLineItems": [
{
"article": {
"titleLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"customAttributes": {},
"imageUrl": "https://example.com/resource",
"tenantArticleId": "4711",
"title": "Cologne Water",
"weight": 1,
"attributes": [
{
"valueLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"keyLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"category": "descriptive",
"context": {
"type": "FACILITY_GROUP",
"value": "text"
},
"key": "%%subtitle%%",
"priority": 100,
"type": "STRING",
"value": "585er Gold"
}
]
},
"globalLineItemId": "text",
"id": "text",
"measurementUnitKey": "liter",
"measurementValidation": {
"overPickHardTolerancePercentage": 20,
"overPickSoftTolerancePercentage": 15,
"shortPickHardTolerancePercentage": 15,
"shortPickSoftTolerancePercentage": 10
},
"partialStockLocations": [
{
"location": {
"locationRef": "text",
"scannableCodes": [
"text"
]
},
"picked": 21,
"quantity": 21,
"ratingScore": 1,
"sequenceScore": 1,
"stockProperties": {
"expiry": "text"
},
"stockRef": "text",
"tenantPartialStockId": "text",
"zoneName": "text"
}
],
"picked": 20,
"pickedAt": "2024-02-03T08:45:51.525Z",
"priority": 1,
"quantity": 21,
"refused": [],
"scannableCodes": [
"text"
],
"secondaryMeasurementUnitKey": "gram",
"secondaryPicked": 20,
"secondaryQuantity": 200
}
],
"tags": []
}
],
"preferredPickingMethods": [
"SINGLE_ORDER"
],
"processId": "text",
"routingPlanRef": "text",
"shortId": "AS12",
"status": "ABORTED",
"stickers": [],
"tenantOrderId": "R456728546",
"transfers": [
{
"id": "018fe899-80ec-70f8-9bda-f7cc904bc0bf",
"type": "RECEIVER"
}
],
"workflowInformation": {
"instanceRef": "64c13ab08edf48a008793cac",
"isAvailable": true,
"nodeRef": "text"
},
"tags": [],
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z",
"version": 42,
"anonymized": false,
"documentHandling": {
"sendLabel": {
"enabled": false
}
},
"documentsRef": "text",
"editor": {
"userId": "text",
"username": "text"
},
"id": "Esb20gpHBL94X5NdMp3C",
"pickingZones": [
{
"zoneRef": "text"
}
],
"pickRunRef": "text",
"resetBlocked": false,
"subStatus": "SHORT_PICKED",
"usersModificationHistory": [
{
"modificationDate": "2026-01-01T00:00:00.000Z",
"userId": "text",
"username": "text"
}
]
}
],
"total": 1
}This part of the API is in Beta status. For details, see the API release lifecycle documentation. Search for StowJob
StowJobSearchPayload
The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.
The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).
Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.
Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.
10The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.
Your search result
StowJobPaginatedResult
The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
POST /api/stowjobs/search HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 6079
{
"after": "text",
"before": "text",
"last": 1,
"options": {
"withTotal": true
},
"query": {
"and": [
{
"and": [
{
"and": "[Circular Reference]",
"created": {
"after": "-P1W"
},
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"or": "[Circular Reference]",
"priority": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
},
"shortId": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"status": {
"eq": "OPEN",
"in": [
"OPEN"
],
"notEq": "OPEN"
},
"stowLineItems": {
"contains": {
"article": {
"tenantArticleId": "MY_ARTICLE_ID"
},
"heldStockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"stowTo": {
"contains": {
"storageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"stowed": {
"stowedStockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"stowedStorageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
},
"type": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
},
"exists": true
},
"takeFrom": {
"storageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"taken": {
"takenStockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
},
"type": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
}
},
"exists": true
},
"targetTime": "2026-06-17T12:00:00.000Z"
}
],
"created": {
"after": "-P1W"
},
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"or": [
{
"and": "[Circular Reference]",
"created": {
"after": "-P1W"
},
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"or": "[Circular Reference]",
"priority": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
},
"shortId": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"status": {
"eq": "OPEN",
"in": [
"OPEN"
],
"notEq": "OPEN"
},
"stowLineItems": {
"contains": {
"article": {
"tenantArticleId": "MY_ARTICLE_ID"
},
"heldStockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"stowTo": {
"contains": {
"storageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"stowed": {
"stowedStockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"stowedStorageLocationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
},
"type": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
},
"exists": true
},
[...]
